#ifndef __GEMTEK_USB_
#define __GEMTEK_USB_

#include "BeRadioAddOn.h"
#include <USBKit.h>

class GemTekAddOn : public BeRadioAddOn, private BUSBRoster
{
public:
	GemTekAddOn(image_id);
	virtual ~GemTekAddOn();

	const char * Version(void);		// version string
	const char * Name(void);		// add-on name

	void Open();					// open the driver
	bool IsOpened();				// check if the driver is open
	void Close();					// close the driver

	status_t InitCheck();			// check if any error occurs

	uint32 GetCapabilities(void);	// returns what the card can do

	bool IsMuted(void);				// is the radio muted	(not yet implemented)
	void Mute(bool);				// set the muted status	(not yet implemented)

	uint32 GetVolume(void);			// returns the volume	(not yet implemented)
	void SetVolume(uint32);			// set the volums		(not yet implemented)

	double GetFrequency(void);		// return the frequency (not yet implemented)
	void SetFrequency(double);		// set the frequency (104.7 for example)

	bool IsSignalSet(void);			// return 1 if the signal is set, or 0
	bool IsSignalStereo(void);		// return 1 if the signal is stereo, or 0

	status_t DeviceAdded(BUSBDevice* dev);
	void DeviceRemoved(BUSBDevice* dev);

private:
	BUSBDevice* radio;
};

#endif
